Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## book.ex6.model
Class Author

    java.lang.Object
      book.ex6.model.Author

    public class Author

extends java.lang.Object

Field Summary
`private java.util.Set<Book>` | `books`
`private java.lang.String` | `firstName`
`private java.lang.Long` | `id`
`private java.lang.String` | `lastName`

Constructor Summary
`Author()`
`Author(java.lang.String firstName, java.lang.String lastName)`

Method Summary
`Author` | `addBook(Book book)`
`java.util.Set<Book>` | `getBooks()`
`java.lang.String` | `getFirstName()`
`java.lang.Long` | `getId()`
`java.lang.String` | `getLastName()`
`void` | `setBooks(java.util.Set<Book> books)`
`void` | `setFirstName(java.lang.String firstName)`
`void` | `setId(java.lang.Long id)`
`void` | `setLastName(java.lang.String lastName)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    private java.lang.Long id

### firstName

    private java.lang.String firstName

### lastName

    private java.lang.String lastName

### books

    private java.util.Set<Book> books

Constructor Detail

### Author

    public Author()

### Author

    public Author(java.lang.String firstName,
                  java.lang.String lastName)

Method Detail

### getId

    public java.lang.Long getId()

### setId

    public void setId(java.lang.Long id)

### getFirstName

    public java.lang.String getFirstName()

### setFirstName

    public void setFirstName(java.lang.String firstName)

### getLastName

    public java.lang.String getLastName()

### setLastName

    public void setLastName(java.lang.String lastName)

### getBooks

    public java.util.Set<Book> getBooks()

### setBooks

    public void setBooks(java.util.Set<Book> books)

### addBook

    public Author addBook(Book book)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD